WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
winstd::cert_chain_context Class Reference
Cryptography API

PCCERT_CHAIN_CONTEXT wrapper class. More...

`#include <WinStd/Crypt.h>`

Inheritance diagram for winstd::cert_chain_context:

## Public Member Functions
virtual | ~cert_chain_context ()
| Destroys the certificate chain context.
Public Member Functions inherited from winstd::dplhandle< PCCERT_CHAIN_CONTEXT, NULL >
| dplhandle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| dplhandle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| dplhandle (const dplhandle< handle_type, INVAL > &h)
| Copy constructor.
| dplhandle (dplhandle< handle_type, INVAL > &&h) noexcept
| Move constructor.
dplhandle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
dplhandle< handle_type, INVAL > & | operator= (const dplhandle< handle_type, INVAL > &h) noexcept
| Duplicates the object.
dplhandle< handle_type, INVAL > & | operator= (dplhandle< handle_type, INVAL > &&h) noexcept
| Moves the object.
handle_type | duplicate () const
| Duplicates and returns a new object handle.
void | attach_duplicated (handle_type h)
| Duplicates an object handle and sets a new object handle.
Public Member Functions inherited from winstd::handle< T, INVAL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor.
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment.
| operator handle_type () const
| Auto-typecasting operator.
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.).
handle_type * | operator& ()
| Returns the object handle reference.
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct.
bool | operator! () const
| Tests if the object handle is invalid.
bool | operator< (handle_type h) const
| Is handle less than?
bool | operator<= (handle_type h) const
| Is handle less than or equal to?
bool | operator>= (handle_type h) const
| Is handle greater than or equal to?
bool | operator> (handle_type h) const
| Is handle greater than?
bool | operator!= (handle_type h) const
| Is handle not equal to?
bool | operator== (handle_type h) const
| Is handle equal to?
void | attach (handle_type h) noexcept
| Sets a new object handle for the class.
handle_type | detach ()
| Dismisses the object handle from this class.
void | free ()
| Destroys the object.

## Protected Member Functions
void | free_internal () noexcept override
| Destroys the certificate chain context.
handle_type | duplicate_internal (handle_type h) const override
| Duplicates the certificate chain context.

## Additional Inherited Members
Public Types inherited from winstd::handle< T, INVAL >
typedef T | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< T, INVAL >
static const T | invalid = INVAL
| Invalid handle value.
Protected Attributes inherited from winstd::handle< T, INVAL >
handle_type | m_h
| Object handle.

## Detailed Description

PCCERT_CHAIN_CONTEXT wrapper class.

See also
  CertGetCertificateChain function

## Constructor & Destructor Documentation

## ◆ ~cert_chain_context()

virtual winstd::cert_chain_context::~cert_chain_context | ( |  | ) |
| inline virtual

Destroys the certificate chain context.

See also
  CertFreeCertificateChain function

## Member Function Documentation

## ◆ duplicate_internal()

handle_type winstd::cert_chain_context::duplicate_internal | ( | handle_type | h | ) | const
| inline override protected virtual

Duplicates the certificate chain context.

Parameters

  [in] | h | Object handle of existing certificate chain context

Returns
  Duplicated certificate chain context handle

See also
  CertDuplicateCertificateChain function

Implements winstd::dplhandle< PCCERT_CHAIN_CONTEXT, NULL >.

## ◆ free_internal()

void winstd::cert_chain_context::free_internal | ( |  | ) |
| inline override protected virtual noexcept

Destroys the certificate chain context.

See also
  CertFreeCertificateChain function

Implements winstd::handle< T, INVAL >.

The documentation for this class was generated from the following file:

- include/WinStd/Crypt.h